# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
rust-version = "1.70.0"
name = "tquic"
version = "0.10.0"
build = "src/build.rs"
include = [
    "/*.md",
    "/*.toml",
    "/LICENSE",
    "/src",
    "/benches",
    "/include",
    "/deps/boringssl/**/*.[chS]",
    "/deps/boringssl/**/*.asm",
    "/deps/boringssl/src/**/*.cc",
    "/deps/boringssl/**/CMakeLists.txt",
    "/deps/boringssl/**/sources.cmake",
    "/deps/boringssl/LICENSE",
]
description = "A high-performance, lightweight, and cross-platform QUIC library"
homepage = "https://tquic.net"
readme = "README.md"
keywords = ["quic"]
categories = ["network-programming"]
license = "Apache-2.0"
repository = "https://github.com/tencent/tquic"

[lib]
crate-type = [
    "lib",
    "staticlib",
    "cdylib",
]

[[bench]]
name = "timer_queue"
harness = false

[dependencies.bytes]
version = "1"

[dependencies.enumflags2]
version = "0.7.5"

[dependencies.hex]
version = "0.4"

[dependencies.lazy_static]
version = "1"

[dependencies.libc]
version = "0.2"

[dependencies.log]
version = "0.4"
features = ["std"]

[dependencies.priority-queue]
version = "1.3.2"

[dependencies.rand]
version = "0.8.5"

[dependencies.ring]
version = "0.17"

[dependencies.rustc-hash]
version = "1.1"

[dependencies.serde]
version = "1.0.139"
features = ["derive"]

[dependencies.serde_derive]
version = "1.0"

[dependencies.serde_json]
version = "1.0"
features = ["preserve_order"]

[dependencies.serde_with]
version = "3.0.0"

[dependencies.sfv]
version = "0.9"

[dependencies.slab]
version = "0.4"

[dependencies.smallvec]
version = "1.10"
features = [
    "serde",
    "union",
]

[dependencies.strum]
version = "0.24"

[dependencies.strum_macros]
version = "0.24"

[dev-dependencies.criterion]
version = "0.3"

[dev-dependencies.ctor]
version = "0.2.2"

[dev-dependencies.env_logger]
version = "0.10.0"

[dev-dependencies.mio]
version = "0.8"
features = [
    "net",
    "os-poll",
]

[dev-dependencies.tempfile]
version = "3.5.0"

[dev-dependencies.timer_heap]
version = "0.3.0"

[build-dependencies.cmake]
version = "0.1"

[features]
ffi = []
